/*jshint browser:true */
/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    
    var map;
    var infoWindow;
    $(document).on("click", ".uib_w_2", function(evt)
    {
        map = new google.maps.Map(document.getElementById('gmap'), {zoom: 6});
        navigator.geolocation.getCurrentPosition(onGeoLocSuccess, onGeoLocError);
    });
    
    $('#zoomLevel').change(function(){
        var userSelected =parseInt($('#zoomLevel option:selected').text());
        map.setZoom(userSelected);
    });
    
    function onGeoLocSuccess(position) {
         var pos = {
              lat: position.coords.latitude,
              lng: position.coords.longitude
         };
         infoWindow = new google.maps.InfoWindow({map: map});
         infoWindow.setPosition(pos);
         infoWindow.setContent('Here is where i am!');
         map.setCenter(pos);
    }
    // onGeoLocError Callback receives a PositionError object
    //
    function onGeoLocError(error) {
        alert('code: ' + error.code    + '\n' + 'message: ' + error.message + '\n');
    }
 }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
